Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class IllegalOperationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException
                  com.bea.netuix.application.exception.IllegalOperationException

All Implemented Interfaces
  Serializable

    public class IllegalOperationException

extends NetuixException

This exception is thrown when an operation is called on a portal object that it does not support either by design or due to the current state it is in. For eg: calling activateCommunity on for a community that is marked as a template.

See Also
  Serialized Form

Constructor Summary
`IllegalOperationException()` Constructs a `IllegalOperationException` with no specified detail message.
`IllegalOperationException(String s)` Constructs a `IllegalOperationException` with the specified detail message.
`IllegalOperationException(String s, Throwable cause)` Constructs a `IllegalOperationException` with the specified detail message and causal exception.
`IllegalOperationException(Throwable cause)` Constructs a `IllegalOperationException` with the specified causal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalOperationException

    public IllegalOperationException()

  Constructs a `IllegalOperationException` with no specified detail message.

### IllegalOperationException

    public IllegalOperationException(Throwable cause)

  Constructs a `IllegalOperationException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown

### IllegalOperationException

    public IllegalOperationException(String s)

  Constructs a `IllegalOperationException` with the specified detail message.

  Parameters
    `s` - The detail message

### IllegalOperationException

    public IllegalOperationException(String s,
                                     Throwable cause)

  Constructs a `IllegalOperationException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.